{
  "type" : "record",
  "name" : "Dependencies",
  "namespace" : "org.gel.models.system.avro",
  "doc" : "Represents contract of all dependencies for a service",
  "fields" : [ {
    "name" : "datastores",
    "type" : {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "DataStore",
        "doc" : "Represents the contract of DataStore. Type of the datastore can be mongodb, postgres, etc",
        "fields" : [ {
          "name" : "type",
          "type" : "string"
        }, {
          "name" : "description",
          "type" : "string"
        }, {
          "name" : "url",
          "type" : {
            "type" : "array",
            "items" : "string"
          }
        }, {
          "name" : "status",
          "type" : {
            "type" : "enum",
            "name" : "Status",
            "doc" : "Represents the contract of service status",
            "symbols" : [ "OK", "DOWN" ]
          }
        }, {
          "name" : "additionalProperties",
          "type" : [ "null", {
            "type" : "map",
            "values" : "string"
          } ]
        } ]
      }
    }
  }, {
    "name" : "apis",
    "type" : {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "API",
        "doc" : "Represents the contract of API dependency (either REST or OTHER)",
        "fields" : [ {
          "name" : "type",
          "type" : {
            "type" : "enum",
            "name" : "APIType",
            "symbols" : [ "REST", "MONGODB", "OTHER" ]
          }
        }, {
          "name" : "description",
          "type" : "string"
        }, {
          "name" : "url",
          "type" : {
            "type" : "array",
            "items" : "string"
          }
        }, {
          "name" : "status",
          "type" : "Status"
        }, {
          "name" : "additionalProperties",
          "type" : [ "null", {
            "type" : "map",
            "values" : "string"
          } ]
        } ]
      }
    }
  } ]
}
